# JSDoc: Class: Branch

# Class: Branch

## Branch()

Branch represents a relationship between a child note and its parent note. Trilium allows a note to have multiple parents.

## Constructor

#### new Branch()

Source:
  - becca/entities/branch.js, line 12

### Members

#### branchId :string

##### Type:

- string

Source:
  - becca/entities/branch.js, line 43

#### childNote

Source:
  - becca/entities/branch.js, line 88

#### isExpanded :boolean

##### Type:

- boolean

Source:
  - becca/entities/branch.js, line 53

#### noteId :string

##### Type:

- string

Source:
  - becca/entities/branch.js, line 45

#### notePosition :int

##### Type:

- int

Source:
  - becca/entities/branch.js, line 51

#### parentNote

Source:
  - becca/entities/branch.js, line 102

#### parentNoteId :string

##### Type:

- string

Source:
  - becca/entities/branch.js, line 47

#### prefix :string

##### Type:

- string

Source:
  - becca/entities/branch.js, line 49

#### utcDateModified :string

##### Type:

- string

Source:
  - becca/entities/branch.js, line 55